# Uses of Class
org.apache.avro.protobuf.ProtobufData

## Uses of ProtobufData in org.apache.avro.protobuf

Methods in org.apache.avro.protobuf that return ProtobufData
Modifier and Type
Method
Description
`static ProtobufData`
ProtobufData.`get()`
Return the singleton instance.
Constructors in org.apache.avro.protobuf with parameters of type ProtobufData
Modifier
Constructor
Description
`protected`
`ProtobufDatumReader(org.apache.avro.Schema writer, org.apache.avro.Schema reader, ProtobufData data)`
`protected`
`ProtobufDatumWriter(ProtobufData protobufData)`
`protected`
`ProtobufDatumWriter(org.apache.avro.Schema root, ProtobufData protobufData)`